LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XCloseBroadcaster Interface Referencepublished

broadcasts each tried closing of an object to all interest listener More...

`import"XCloseBroadcaster.idl";`

Inheritance diagram for XCloseBroadcaster:

## Public Member Functions
void | addCloseListener ([in] XCloseListener Listener)
| adds the specified listener to receive or have a veto for "close" events More...
void | removeCloseListener ([in] XCloseListener Listener)
| removes the specified listener More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

broadcasts each tried closing of an object to all interest listener

The called object for closing must post the closing events immediately and before any internal cancel operations will be started. If a listener disagree with that it should throw a CloseVetoException and called function XCloseable::close() must be broken immediately. It's not allowed to catch it inside the close() request. If no listener nor internal processes hinder the object on closing all listeners get a notification about real closing.

See also

## Member Function Documentation

## ◆ addCloseListener()

void addCloseListener | ( | [in] XCloseListener | Listener | ) |

adds the specified listener to receive or have a veto for "close" events

Parameters

  Listener | the listener which is interest on closing events

## ◆ removeCloseListener()

void removeCloseListener | ( | [in] XCloseListener | Listener | ) |

removes the specified listener

Parameters

  Listener | the listener which isn't interest on closing events any longer

The documentation for this interface was generated from the following file:

- com/sun/star/util/XCloseBroadcaster.idl